Name:     click-radio
Version:  0.1.4
Release:  %mkrel 1

Summary:  Click Radio
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  WTFP
Group:    Sound
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: make
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}mad-devel
Requires: yad  
Requires: mpg321
Requires: streamripper
Requires: xterm
Requires: cdrkit
Requires: normalize
Requires: pulseaudio
Requires: hicolor-icon-theme
Obsoletes: %{name} < %{version}

%description
A lightweight and simple gui interface media app.
Features include:
* Music radio streamer 
* Streamripper recorder 
* Plays local mp3's
* Creates a music playlist
* CD-ROM music player 
* CD-R music burner

%prep
%setup -q

%build

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

#menu
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-Multimedia-Sound;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR


%files 
%defattr(-,root,root)
%doc LICENCE README.md ChangeLog AUTHORS
%{_bindir}/%{name}
%{_bindir}/clickplay
%_datadir/%{name}
%_datadir/applications/*.desktop
%{_datadir}/icons/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.svg

%changelog
* Fri Jan 27 2017 adrianomorselli <adrianomorselli> 0.1.4-1uplos2017
- rebuild

* Sat Jan 14 2017 Ken <lxgator at gmail.com> 0.1.4-1pclos2016
- 0.1.4

* Sat Dec 17 2016 Ken <lxgator at gmail.com> 0.1.3-1pclos2016
- 0.1.3

* Sat Nov 26 2016 Ken <lxgator at gmail.com> 0.1.2-1pclos2016
- 0.1.2

* Tue Apr 05 2016 Ken <lxgator at gmail.com> 0.1.1-1pclos2016
- 0.1.1 

* Sat Feb 27 2016 Ken <lxgator at gmail.com> 0.1.0-1pclos2016
- create rpm pkg 

